# VecPointwiseMaxAbs

Computes the componentwise maximum of the absolute values w_i = max(abs(x_i), abs(y_i)).

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecPointwiseMaxAbs(Vec w,Vec x,Vec y)

Collective on Vec

### Input Parameters

x, y -the vectors

### Output Parameter

w -the result

Notes: any subset of the x, y, and w may be the same vector.

### C++ variants

| VecPointwiseMaxAbs(Vec x,Vec y) |  | -> |  | VecPointwiseMaxAbs(x,y,y)

### See Also

VecPointwiseDivide(), VecPointwiseMult(), VecPointwiseMin(), VecPointwiseMax(), VecMaxPointwiseDivide()

Level:advanced
Location: src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages